﻿// -*- C++ -*-
/*!
 * @file  RockPaperScissorsFilterTest.cpp
 * @brief RockPaperScissorsFilter
 * @date $Date$
 *
 * $Id$
 */

#include "RockPaperScissorsFilterTest.h"

// Module specification
// <rtc-template block="module_spec">
static const char* rockpaperscissorsfilter_spec[] =
  {
    "implementation_id", "RockPaperScissorsFilterTest",
    "type_name",         "RockPaperScissorsFilterTest",
    "description",       "RockPaperScissorsFilter",
    "version",           "1.0.0",
    "vendor",            "AG",
    "category",          "Category",
    "activity_type",     "PERIODIC",
    "kind",              "DataFlowComponent",
    "max_instance",      "1",
    "language",          "C++",
    "lang_type",         "compile",
    ""
  };
// </rtc-template>

/*!
 * @brief constructor
 * @param manager Maneger Object
 */
RockPaperScissorsFilterTest::RockPaperScissorsFilterTest(RTC::Manager* manager)
    // <rtc-template block="initializer">
  : RTC::DataFlowComponentBase(manager),
    m_RPSdataIn("RPSdata", m_RPSdata),
    m_FilterdataOut("Filterdata", m_Filterdata)

    // </rtc-template>
{
}

/*!
 * @brief destructor
 */
RockPaperScissorsFilterTest::~RockPaperScissorsFilterTest()
{
}



RTC::ReturnCode_t RockPaperScissorsFilterTest::onInitialize()
{
  // Registration: InPort/OutPort/Service
  // <rtc-template block="registration">
  // Set InPort buffers
  addInPort("Filterdata", m_FilterdataIn);
  
  // Set OutPort buffer
  addOutPort("RPSdata", m_RPSdataOut);
  
  // Set service provider to Ports
  
  // Set service consumers to Ports
  
  // Set CORBA Service Ports
  
  // </rtc-template>

  // <rtc-template block="bind_config">
  // </rtc-template>
  
  return RTC::RTC_OK;
}

/*
RTC::ReturnCode_t RockPaperScissorsFilterTest::onFinalize()
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t RockPaperScissorsFilterTest::onStartup(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t RockPaperScissorsFilterTest::onShutdown(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/


RTC::ReturnCode_t RockPaperScissorsFilterTest::onActivated(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}


RTC::ReturnCode_t RockPaperScissorsFilterTest::onDeactivated(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}


RTC::ReturnCode_t RockPaperScissorsFilterTest::onExecute(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}

/*
RTC::ReturnCode_t RockPaperScissorsFilterTest::onAborting(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t RockPaperScissorsFilterTest::onError(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t RockPaperScissorsFilterTest::onReset(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t RockPaperScissorsFilterTest::onStateUpdate(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t RockPaperScissorsFilterTest::onRateChanged(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/



extern "C"
{
 
  void RockPaperScissorsFilterTestInit(RTC::Manager* manager)
  {
    coil::Properties profile(rockpaperscissorsfilter_spec);
    manager->registerFactory(profile,
                             RTC::Create<RockPaperScissorsFilterTest>,
                             RTC::Delete<RockPaperScissorsFilterTest>);
  }
  
};


